Update Cs Provider Config
AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://loading/api/v1/configuration/cs-provider" \ -H "Content-Type: application/json" \ -d '{ "display_name": "string", "provider_type": "string" }'{
"api_base_url": "string",
"capabilities": {
"hasContactSync": true,
"hasKbSearch": false,
"hasServiceCatalog": false,
"hasTicketManagement": true
},
"connection_status": "unknown",
"credentials_secret_name": "string",
"display_name": "string",
"has_stored_credentials": false,
"last_verified_at": "2019-08-24T14:15:22Z",
"portal_base_url": "string",
"provider_config_id": "string",
"provider_type": "string",
"updated_at": "2019-08-24T14:15:22Z",
"version": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}